%global debug_package %{nil}

Name:           eidolon
Version:        1.4.6
Release:        1%{?dist}
Summary:        Provides a single TUI-based registry for drm-free, wine and steam games on linux

License:        GPLv3+
URL:            https://github.com/nicohman/eidolon
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cargo
BuildRequires:  openssl-devel
BuildRequires:  rust

Requires:       rofi%{?_isa}

%description
A conversion of steam_suite to rust with additional features. Provides a single
TUI-based registry for drm-free, wine and steam games on linux, accessed through
a rofi launch menu. Simple, fast and lightweight. This is a mirror of the sr.ht
repository. Please file issues for eidolon here and patches here, though I will
still accept issues and pull requests on github.


%prep
%autosetup -p1


%install
cargo install --root=%{buildroot}%{_prefix} --path=.
rm -f   %{buildroot}%{_prefix}/.crates.toml \
        %{buildroot}%{_prefix}/.crates2.json
strip %{buildroot}%{_bindir}/*


%files
%license LICENSE
%doc README.md
%{_bindir}/*


%changelog
* Sun Mar 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4.6-1
- Initial package
